Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.publishing
[Groovy] Class DefaultPluginPublisher

    java.lang.Object
      org.codehaus.groovy.grails.plugins.publishing.DefaultPluginPublisher

    class DefaultPluginPublisher
    extends java.lang.Object

Utility methods for manipulating the plugin-list.xml file used when publishing plugins to a Grails plugin repository.

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`java.io.File` | `baseDir`
`java.lang.String` | `repositoryURL`
`java.lang.String` | `revision`

Constructor Summary
`DefaultPluginPublisher(java.io.File baseDir, java.lang.String revNumber, java.lang.String repositoryURL)`
`DefaultPluginPublisher(java.lang.String revNumber, java.lang.String repositoryURL)`

Method Summary
`protected groovy.util.slurpersupport.GPathResult` | `getPluginMetadata(java.lang.String pluginName)`
`protected groovy.util.slurpersupport.GPathResult` | `parsePluginList(Resource pluginsListFile)`
`groovy.util.slurpersupport.GPathResult` | `publishRelease(java.lang.String pluginName, Resource pluginsList, boolean makeLatest)` Publishes a plugin release to the given plugin list.
`groovy.util.slurpersupport.GPathResult` | `publishRelease(java.lang.String pluginName, Resource pluginsList)`
`void` | `writePluginList(groovy.util.slurpersupport.GPathResult pluginList, java.io.Writer targetWriter)` Writes the given plugin list to the given writer.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### baseDir

    java.io.File baseDir

### repositoryURL

    java.lang.String repositoryURL

### revision

    java.lang.String revision

Constructor Detail

### DefaultPluginPublisher

    DefaultPluginPublisher(java.io.File baseDir, java.lang.String revNumber, java.lang.String repositoryURL)

### DefaultPluginPublisher

    DefaultPluginPublisher(java.lang.String revNumber, java.lang.String repositoryURL)

Method Detail

### getPluginMetadata

    protected groovy.util.slurpersupport.GPathResult getPluginMetadata(java.lang.String pluginName)

### parsePluginList

    protected groovy.util.slurpersupport.GPathResult parsePluginList(Resource pluginsListFile)

### publishRelease

    groovy.util.slurpersupport.GPathResult publishRelease(java.lang.String pluginName, Resource pluginsList, boolean makeLatest)

  Publishes a plugin release to the given plugin list.
  Parameters:
    `pluginName` - the name of the plugin
    `pluginsListFile` - The plugin list file
    `makeLatest` - Whether to make the release the latest release
  Returns:
    the updated plugin list

### publishRelease

    groovy.util.slurpersupport.GPathResult publishRelease(java.lang.String pluginName, Resource pluginsList)

### writePluginList

    void writePluginList(groovy.util.slurpersupport.GPathResult pluginList, java.io.Writer targetWriter)

  Writes the given plugin list to the given writer.

Groovy Documentation